Get Env For App
Get environment for an app
Retrieve the environment variables that will be provided to an app at runtime. It will include environment variables for Environment Variable Groups and Service Bindings.
Request
URI
GET
https://api.example.local/v3/apps/{guid}/env
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
Returns
AppEnvironment
of type(s)
application/json
{
"staging_env_json": {},
"running_env_json": {},
"environment_variables": {
"environment_variables": "string"
},
"system_env_json": {},
"application_env_json": {}
}
object
staging_env_json
Optional
Environment variables used during staging
object
running_env_json
Optional
Environment variables used during runtime
object
environment_variables
Optional
User-defined environment variables
object
system_env_json
Optional
System environment variables including VCAP_SERVICES
object
application_env_json
Optional
Application environment variables including VCAP_APPLICATION
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/env
Apps Operations
GET
List Apps
POST
Create App
GET
Get App
PATCH
Update App
DELETE
Delete App
POST
Start App
POST
Stop App
POST
Restart App
GET
Get Current Droplet For App
GET
Get Current Droplet Association For App
PATCH
Set Current Droplet For App
POST
Clear Buildpack Cache For Application
GET
Get Env For App
GET
Get Environment Variables For App
PATCH
Update Environment Variables For App
GET
List App Features
GET
Get App Feature
PATCH
Update App Feature
GET
Get Permissions For App
GET
Get Ssh Enabled For App